## ros-noetic-eigen-conversions 1.13.2

=== debian/changelog ===
ros-noetic-eigen-conversions (1.13.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Jun 2020 07:00:00 -0000

ros-noetic-eigen-conversions (1.13.1-1focal) focal; urgency=high

  * Format 2 and build_export_depend orocos kdl (#210 <https://github.com/ros/geometry/issues/210>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 May 2020 07:00:00 -0000

ros-noetic-eigen-conversions (1.13.0-1focal) focal; urgency=high

  * Replace kdl packages with rosdep keys (#206 <https://github.com/ros/geometry/issues/206>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 07:00:00 -0000

ros-noetic-eigen-conversions (1.12.1-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#204 <https://github.com/ros/geometry/issues/204>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 07:00:00 -0000

ros-noetic-eigen-conversions (1.12.0-1focal) focal; urgency=high

  * Remove dependency on cmake_modules (#157 <https://github.com/ros/geometry/issues/157>)
    This is not needed anymore with the move from Eigen to Eigen3 in 707eb41.
  * Contributors: Jochen Sprickerhof

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 May 2018 07:00:00 -0000

ros-noetic-eigen-conversions (1.11.9-1focal) focal; urgency=high

  * Fix cmake dependency export usage
  * Contributors: Timo Röhling

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-noetic-eigen-conversions (1.11.8-1focal) focal; urgency=high

  * eigen_conversions: Add conversions for Eigen::Isometry3d
  * Contributors: Maarten de Vries

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-noetic-eigen-conversions (1.11.7-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-noetic-eigen-conversions (1.11.6-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-noetic-eigen-conversions (1.11.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-noetic-eigen-conversions (1.11.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-noetic-eigen-conversions (1.11.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-noetic-eigen-conversions (1.11.2-1focal) focal; urgency=high

  * alphabetization and updating cmake to find Eigen
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-noetic-eigen-conversions (1.11.1-1focal) focal; urgency=high

  * add dep on cmake_modules for finding eigen
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 23 Feb 2014 08:00:00 -0000

ros-noetic-eigen-conversions (1.11.0-1focal) focal; urgency=high

  * fixed Eigen-KDL 3D Vector conversion functions
  * Contributors: fevb

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-noetic-eigen-conversions (1.10.8-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 01 Feb 2014 08:00:00 -0000

ros-noetic-eigen-conversions (1.10.7-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 27 Dec 2013 08:00:00 -0000

ros-noetic-eigen-conversions (1.10.6-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-noetic-eigen-conversions (1.10.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 19 Jul 2013 07:00:00 -0000

ros-noetic-eigen-conversions (1.10.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 11 Jul 2013 07:00:00 -0000

ros-noetic-eigen-conversions (1.10.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 07:00:00 -0000

ros-noetic-eigen-conversions (1.10.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 07:00:00 -0000

ros-noetic-eigen-conversions (1.10.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-noetic-eigen-conversions (1.10.0-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-noetic-eigen-conversions (1.9.31-1focal) focal; urgency=high

  * add link directories

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 19 Apr 2013 01:16:00 -0000

ros-noetic-eigen-conversions (1.9.30-1focal) focal; urgency=high

  * Fixes #11 <https://github.com/ros/geometry/issues/11>: orocos_kdl now has cmake rules oroco-kdl
    update cmake to use orocos_kdl as plain cmake package instead of catkin package
    Signed-off-by: Ruben Smits <mailto:ruben.smits@intermodalics.eu>

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Apr 2013 23:26:00 -0000

ros-noetic-eigen-conversions (1.9.29-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-noetic-eigen-conversions (1.9.28-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 Jan 2013 08:00:00 -0000

ros-noetic-eigen-conversions (1.9.27-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Dec 2012 08:00:00 -0000

ros-noetic-eigen-conversions (1.9.26-1focal) focal; urgency=high

  * add missing dep to catkin

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Dec 2012 08:00:00 -0000

ros-noetic-eigen-conversions (1.9.25-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-noetic-eigen-conversions (1.9.24-1focal) focal; urgency=high

  * Version 1.9.24
  * Fixes to CMakeLists.txt's while building from source



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-eigen-conversions//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-eigen-conversions 1.13.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(eigen_conversions)

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED geometry_msgs std_msgs)
find_package(Eigen3 REQUIRED)

include_directories(SYSTEM ${EIGEN3_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs std_msgs
  DEPENDS orocos_kdl
)

add_library(${PROJECT_NAME}
  src/eigen_msg.cpp
  src/eigen_kdl.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

## ros-noetic-eigen-conversions 1.13.3

=== debian/changelog ===
ros-noetic-eigen-conversions (1.13.3-1focal) focal; urgency=high

  * Updated library install for better portability (#208 <https://github.com/ros/geometry/issues/208>) (#214 <https://github.com/ros/geometry/issues/214>)
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-eigen-conversions
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, liborocos-kdl-dev, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/eigen_conversions
Standards-Version: 3.9.2

Package: ros-noetic-eigen-conversions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, liborocos-kdl-dev, liborocos-kdl1.4, ros-noetic-geometry-msgs, ros-noetic-std-msgs
Description: Conversion functions between: - Eigen and KDL - Eigen and geometry_msgs.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
